com.holonplatform.core.property

## Interface ListVirtualProperty.ListVirtualPropertyBuilder<T>

- Type Parameters:
    `T` - Collection elements type
  All Superinterfaces:
    CollectionProperty<T,List<T>>, CollectionProperty.Builder<T,List<T>,ListVirtualProperty<T>,ListVirtualProperty.ListVirtualPropertyBuilder<T>>, ConverterExpression<List<T>>, Expression, HasConfiguration<PropertyConfiguration>, ListVirtualProperty<T>, Localizable, Localizable.Builder<ListVirtualProperty.ListVirtualPropertyBuilder<T>>, Property<List<T>>, Property.Builder<List<T>,ListVirtualProperty<T>,ListVirtualProperty.ListVirtualPropertyBuilder<T>>, Serializable, TypedExpression<List<T>>, Validator.Validatable<List<T>>, VirtualProperty<List<T>>, VirtualProperty.Builder<List<T>,ListVirtualProperty<T>,ListVirtualProperty.ListVirtualPropertyBuilder<T>>
  Enclosing interface:
    ListVirtualProperty<T>

      public static interface ListVirtualProperty.ListVirtualPropertyBuilder<T>
      extends VirtualProperty.Builder<List<T>,ListVirtualProperty<T>,ListVirtualProperty.ListVirtualPropertyBuilder<T>>, CollectionProperty.Builder<T,List<T>,ListVirtualProperty<T>,ListVirtualProperty.ListVirtualPropertyBuilder<T>>, ListVirtualProperty<T>

  `ListVirtualProperty.ListVirtualPropertyBuilder` builder.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.property.ListVirtualProperty

      `ListVirtualProperty.ListVirtualPropertyBuilder<T>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.property.VirtualProperty

      `VirtualProperty.Builder<T,P extends VirtualProperty<T>,B extends VirtualProperty.Builder<T,P,B>>, VirtualProperty.VirtualPropertyBuilder<T>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.property.CollectionProperty

      `CollectionProperty.Builder<E,C extends Collection<E>,P extends CollectionProperty<E,C>,B extends CollectionProperty.Builder<E,C,P,B>>, CollectionProperty.ListProperty<T>, CollectionProperty.SetProperty<T>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.property.Property

      `Property.PropertyAccessException, Property.PropertyNotFoundException, Property.PropertyReadException, Property.PropertyReadOnlyException, Property.PropertyWriteException`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.i18n.Localizable

      `Localizable.LocalizableBuilder, Localizable.LocalizationException`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.Expression

      `Expression.ExpressionResolverFunction<E extends Expression,R extends Expression>, Expression.InvalidExpressionException`

  - ### Method Summary

    - ### Methods inherited from interface com.holonplatform.core.property.VirtualProperty.Builder

      `name, valueProvider`

    - ### Methods inherited from interface com.holonplatform.core.property.CollectionProperty.Builder

      `elementConverter, elementConverter`

    - ### Methods inherited from interface com.holonplatform.core.property.Property.Builder

      `configuration, configuration, converter, converter, equalsHandler, hashCodeProvider, localization, temporalType, validator, withConfiguration, withConfiguration, withValidator`

    - ### Methods inherited from interface com.holonplatform.core.i18n.Localizable.Builder

      `message, message, messageArguments, messageCode`

    - ### Methods inherited from interface com.holonplatform.core.property.ListVirtualProperty

      `create`

    - ### Methods inherited from interface com.holonplatform.core.property.VirtualProperty

      `create, create, getValueProvider, isReadOnly`

    - ### Methods inherited from interface com.holonplatform.core.property.CollectionProperty

      `getElementType`

    - ### Methods inherited from interface com.holonplatform.core.property.Property

      `getConfiguration, getConvertedValue, getConverter, getExpressionValueConverter, getName, getTemporalType, getType, present, render, renderIfAvailable`

    - ### Methods inherited from interface com.holonplatform.core.Validator.Validatable

      `getValidators, validate`

    - ### Methods inherited from interface com.holonplatform.core.i18n.Localizable

      `builder, getMessage, getMessageArguments, getMessageCode, of, of`

    - ### Methods inherited from interface com.holonplatform.core.HasConfiguration

      `hasConfiguration`

    - ### Methods inherited from interface com.holonplatform.core.ConverterExpression

      `getModelType, getModelValue`

    - ### Methods inherited from interface com.holonplatform.core.TypedExpression

      `isCollectionExpression, isConverterExpression`

    - ### Methods inherited from interface com.holonplatform.core.Expression

      `validate`

Copyright © 2019 The Holon Platform. All rights reserved.